WordPress 4.9新功能:新核心小工具相册功能

WordPress 4.9新功能:新核心小工具相册功能

这个核心的意思是WordPress核心功能代码的意思,也就是说,WordPress 4.9将会启用新的小工具相册功能。 2017年9月20号,WordPress官方了发布了新的WordPress小工具相册插件:Core Media Widgets,已经是0.2.0版本。 WordPress从4.8版本开始就努力打造多功能的小工具功能,从WordPress 4.8发布开始,小工具就开始支持音频,视频和图片,并且支持多媒体编辑器,而WordPress官方也已经确定,在WordPress 4.9版本发布WordPress小工具相册功能。 这个功能非常有用,记得早些年,WordPress侧边栏常用的一个功能模块就是豆瓣电影/图书,而现在的小工具相册功能可以轻易的实现这个功能,而不用再去写代码,也不用再用其他类似功能的插件: 就WordPress小工具的相册功能,在WordPress官方插件目录,就有超过100个类似功能的插件,可见这个功能真的是需求量非常大而又十分实用的。 小工具需要根据侧边栏的宽度设置每行图片的数量,当然相册的高度就没有显示了,但是现实太多就没有必要了,基本上显示4张,是比较好的功能; 但这个功能还在测试当中,因为需要主题的支持,主题作者在在制作主题的时候,也要考虑兼容这个功能了。 Core Media Widgets插件运行在WordPress 4.8.2版本之上,当前还在测试当中,会一直兼容WordPress 4.9 beta版本及后续版本,并且会在WordPress 4.9正式版发布的时候集成到WordPress程序核心代码中。 越来越强大的小工具功能会让WordPress越来越有吸引力。

WordPress 4.9发布时间确定 新功能曝光

来自WordPress官方的消息,WordPress 4.9版本发布时间已经确定,WordPress 4.9相关测试版本及正式版的发布时间线也已经确定,关于WordPress 4.9的新功能也已经曝光。 WordPress 4.9正式版会在北京时间2017年11月15号发布,因为WordPress 4.9会有新功能发布,所以需要充分的功能测试和兼容性测试,WordPress 4.9会发布4个beta版本和若干个RC版本,具体的时间路线图如下(美国时间): 2017年6月8号 准备WordPress 4.8版本发布的相关事项 2017年8月2号 WordPress 4.9版本正式立项 2017年9月27号 WordPress 4.9功能项目合并时间 2017年10月4号 WordPress 4.9 beta1发布 2017年10月11号 WordPress 4.9 beta2发布 2017年10月18号 WordPress 4.9 beta3发布 2017年10月23号 WordPress 4.9 beta4发布 2017年10月30号 WordPress 4.9 RC版本发布,WordPress 4.9程序冻结 2017年11月6号 如果有需要,WordPress 4.9继续发布RC版本 2017年11月13号 排练发布WordPress 4.9正式版 2017年11月14号 预计发布WordPress 4.9正式版 WordPress 4.9版本将会在用户体验继续改进,使一些现有的功能更加人性化,包含网站管理员在编辑主题和插件时会有更好的体验。 也会发布一些新功能,比如改进WordPress编辑器对代码的支持,使代码在高亮显示时有更好的体验。 目前WordPress一个已经存在7年之久的功能需求已经在积极开发中,核心功能是代码高亮编辑器,使得WordPress在编辑代码的时候会有更好的用户体验。 WordPress 4.9另外一个新功能是改进WordPress自定义功能,也一直在积极的改进小工具功能和菜单功能,现在WordPress小工具已经有独立的编辑器了,未来WordPress小工具会有更多的功能,比如相册小工具功能。 在WordPress 4.9中,可以直接创建页面,主题提供的功能页面都可以直接在WordPress自定义功能中创建。…

WP主题和插件将显示可以运行的PHP最低版本

WP主题和插件将显示可以运行的PHP最低版本

WordPress程序版本很多,有些用户依然在使用比较老的WordPress程序,而PHP版本的使用跨度也非常大,虽然现在WordPress 4.8已经不能在php 5.2运行了,但依然有很多用户在php 5.3版本上运行WordPress,但这样的问题,长时间会引起一些困扰。 随着WordPress的程序更新,对php的版本要求更高,可能今后都是php 5.5+,而WordPress官网希望2017年年底WordPress能在PHP 7上运行,那么官方的主题和插件也要兼容最新版的WordPress程序,这样一来也肯定需要兼容更高版本的php。 但现在的问题是,主流插件和主题肯定会兼容及时兼容最新版的WordPress程序,但这些插件不可能在做向上兼容的同时也还能一直保持向下兼容,所以,WordPress官方准备在WordPress 4.9版本增加一个新的功能:WordPress插件和主题会显示最新能运行的php版本。 这样做的好处显而易见,比如Wopus昨天就遇到了一个问题: 一个用户的主题从2010年开始就没有更新过了,但Wopus的主机更新了PHP和Mysql的版本,导致网站不能正常使用,如果WordPress官方有了主题运行的最低的PHP版本,那么这种问题就可以很容易解决,而不用去看日志,导出寻找解决办法了。

End of content

End of content